
TYPO3.Flow - Bug # 36626

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Security
Created: 2012-04-26 Assigned To: Andreas Förthner
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: Content security does not work correctly
Description

With the introduction of Doctrine and other changes, content security ceased to work as as expected.

Related issues:
related to TYPO3.Flow - Feature # 38065: Implement content security for DQL q... New 2012-06-15

Associated revisions
Revision 3198e416 - 2012-04-27 15:00 - Andreas Förthner

[TASK] Add functional tests for content security

This add some first basic functional tests for
content security.

Change-Id: Ib295ef13b5c8c84ae4f49ac181c242c72e38520e
Related: #36626
Releases: 1.1

Revision 09dba14b - 2012-04-27 19:14 - Robert Lemke

[BUGFIX] Fix MethodSecurity functional test

After #36659 was fixed, the session handling works
as expected. That means, however, that if no account
is logged in, an AuthorizationRequiredException is
thrown on trying to access a restricted method.
The tests, however, anticipated an AccessDeniedException.

Change-Id: I6a7d9f8a75a1614ba1511e538fe5aad9c4c30f1f
Related: #36626
Related: #36659
Releases: 1.1

Revision ed4538b8 - 2012-04-27 19:14 - Andreas Förthner

[FEATURE] Introduce ANY matcher for content security

Change-Id: I11e6e8d06cef6b6c48ccdb6c704d2ed2fc08711e
Related: #36626
Releases: 1.1

History
#1 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#2 - 2012-06-15 10:27 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Affected Flow version changed from Git master to FLOW3 1.1.0 beta 1

Aside from the missing DQL support this works fine by now.

#3 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
